﻿class Shell extends MovieClip
{
	// ***** CONSTANTS *****
	
	private static var GRAVITY:Number = 0.2;
	private static var LIMITX1:Number = -15;
	private static var LIMITX2:Number = 640;
	private static var LIMITY:Number = 480;
	
	// ***** VARIABLES *****
	
	var adjX:Number;
	var adjY:Number;
	var exploding:Boolean;
	
	// ***** CONSTRUCTOR *****
	
	public function Shell()
	{
		launchShell();
	}
	
	// ***** FUNCTIONS - from MovieClip *****
	
	function onEnterFrame()
	{
		if (exploding == false)
			moveShell();
	}

	// ***** Functions - animation control *****
	
	function moveShell()
	{
		adjY -= GRAVITY;
		_y -= adjY;
		_x += adjX;
		if (_x < LIMITX1)
			_x += LIMITX2;
		if (_x > LIMITX2)
			_x -=LIMITX2;
		if (_y > LIMITY)
			launchShell();
	}
	
	function launchShell()
	{
		_y = LIMITY;
		adjY = Math.random() * 10 + 5;
		adjX = Math.random() * 10 - 5;
		exploding = false;
	}

	public function explodeShell()
	{
		exploding = true;
		gotoAndPlay("Explode");
	}
	
	public function isExploding() : Boolean
	{
		return exploding;
	}
}